## CongEditorAreaEntityDecl

CongEditorAreaEntityDecl —

## Synopsis

    struct      CongEditorAreaEntityDecl;
    #define     CONG_EDITOR_AREA_ENTITY_DECL    (obj)
    #define     CONG_EDITOR_AREA_ENTITY_DECL_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_ENTITY_DECL (obj)
    GType       cong_editor_area_entity_decl_get_type
                                                (void);
    CongEditorArea* cong_editor_area_entity_decl_construct
                                                (CongEditorAreaEntityDecl *area_entity_decl,
                                                 CongEditorWidget3 *editor_widget,
                                                 const gchar *text);
    CongEditorArea* cong_editor_area_entity_decl_new
                                                (CongEditorWidget3 *editor_widget,
                                                 const gchar *text);

## Object Hierarchy

      GObject
       +----CongEditorArea
             +----CongEditorAreaContainer
                   +----CongEditorAreaBin
                         +----CongEditorAreaEntityDecl

## Description

## Details

### struct CongEditorAreaEntityDecl

    struct CongEditorAreaEntityDecl;

### CONG_EDITOR_AREA_ENTITY_DECL()

    #define CONG_EDITOR_AREA_ENTITY_DECL(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_ENTITY_DECL_TYPE, CongEditorAreaEntityDecl)

`obj` : |

### CONG_EDITOR_AREA_ENTITY_DECL_CLASS()

    #define CONG_EDITOR_AREA_ENTITY_DECL_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_ENTITY_DECL_TYPE, CongEditorAreaEntityDeclClass)

`klass` : |

### IS_CONG_EDITOR_AREA_ENTITY_DECL()

    #define IS_CONG_EDITOR_AREA_ENTITY_DECL(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_ENTITY_DECL_TYPE)

`obj` : |

### cong_editor_area_entity_decl_get_type ()

    GType       cong_editor_area_entity_decl_get_type
                                                (void);

Returns : |

### cong_editor_area_entity_decl_construct ()

    CongEditorArea* cong_editor_area_entity_decl_construct
                                                (CongEditorAreaEntityDecl *area_entity_decl,
                                                 CongEditorWidget3 *editor_widget,
                                                 const gchar *text);

TODO: Write me

`area_entity_decl` : |
`editor_widget` : |
`text` : |
Returns : |

### cong_editor_area_entity_decl_new ()

    CongEditorArea* cong_editor_area_entity_decl_new
                                                (CongEditorWidget3 *editor_widget,
                                                 const gchar *text);

TODO: Write me

`editor_widget` : |
`text` : |
Returns : |